%global module_name backports.ssl_match_hostname

Summary:	The ssl.match_hostname() function from Python 3
Name:		python-backports-ssl_match_hostname
Version:	3.4.0.2
Release:	2
License:	Python
Group:		Development/Python
Url:		https://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:	http://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
#Just to make sure we have it
BuildRequires:	python-backports
BuildRequires:	python-setuptools
Requires:	python-backports

%description
The Secure Sockets layer is only actually secure if you check the hostname in
the certificate returned by the server to which you are connecting, and verify
that it matches to hostname that you are trying to reach.

But the matching logic, defined in RFC2818, can be a bit tricky to implement on
your own. So the ssl package in the Standard Library of Python 3.2 now includes
a match_hostname() function for performing this check instead of requiring
every application to implement the check separately.

This backport brings match_hostname() to users of earlier versions of Python.
The actual code inside comes verbatim from Python 3.2.

%files
%doc README.txt LICENSE.txt
%{python_sitelib}/backports/ssl_match_hostname/*.py
%{python_sitelib}/backports.ssl_match_hostname-%{version}-py%{py_ver}.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{module_name}-%{version}
mv src/backports/ssl_match_hostname/README.txt ./
mv src/backports/ssl_match_hostname/LICENSE.txt ./

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}
rm %{buildroot}%{python_sitelib}/backports/__init__.py*


%changelog

* Thu Jun 02 2016 Denis Silakov <dsilakov@gmail.com> 3.4.0.2-2
- (b12163d) Move to main


